import { IComponent } from "@inweb/viewer-core";
import type { Viewer } from "../Viewer";
export declare class ResetComponent implements IComponent {
    private viewer;
    private savedCameraPosition;
    constructor(viewer: Viewer);
    dispose(): void;
    onDatabaseChunk: () => void;
    resetCameraPosition: () => void;
}
